Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security.spi.provider
Interface DomainConfigurator

All Known Subinterfaces:
  AuthorizationProvider

All Known Implementing Classes:
  AbstractPortalObjectContainer, AuthorizationProviderImpl, InstanceContainerImpl, JBossPortletSecurityService, PersistentPortalObjectContainer, TransientPortalObjectContainer

    public interface DomainConfigurator

Main interface to configure the policy for a specified permission type and manage security of portal resources.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner, Julien Viet

Method Summary
`java.util.Set` | `getSecurityBindings(java.lang.String uri)` Return the set of constraints for the given uri.
`void` | `removeSecurityBindings(java.lang.String uri)` Remove the contstraints for the provided uri
`void` | `setSecurityBindings(java.lang.String uri, java.util.Set securityBindings)` Add the provided constraints to this policy configuration

Method Detail

### getSecurityBindings

    java.util.Set getSecurityBindings(java.lang.String uri)

  Return the set of constraints for the given uri.

  Parameters:
    `uri` -
  Returns:
    a set of SecurityConstraint containing the roles and actions allowed for the resource

### setSecurityBindings

    void setSecurityBindings(java.lang.String uri,
                             java.util.Set securityBindings)
                             throws SecurityConfigurationException

  Add the provided constraints to this policy configuration

  Parameters:
    `uri` -
    `securityBindings` -
  Throws:
    `SecurityConfigurationException`

### removeSecurityBindings

    void removeSecurityBindings(java.lang.String uri)
                                throws SecurityConfigurationException

  Remove the contstraints for the provided uri

  Parameters:
    `uri` - the identifier of the secured resource
  Throws:
    `SecurityConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD